package mobilemath;

import javax.microedition.lcdui.*;
import tool.Locale;

public class FormMenu extends List implements CommandListener {
 FormGraph frmGraph=null;
 FormCal frmCal=null;
 FormHelp frmHelp=null, frmAbout=null;

 public FormMenu () {
  super (Locale.MainHdr, Choice.IMPLICIT, Locale.mainMenu, null);
  setCommandListener(this);
 }

 public void commandAction(Command c, Displayable d) {
  if (c==List.SELECT_COMMAND) {
   int selected = getSelectedIndex ();
   switch (selected) {
    case 0:
     if (frmCal == null) {
      frmCal = new FormCal();
      frmCal.parent = this;
     }
     frmCal.setStatus(0, "");
     Main.instance.setDisplay (frmCal);
    break;
    case 1:
     if (frmGraph == null) {
      frmGraph = new FormGraph();
      frmGraph.parent = this;
     }
     Main.instance.setDisplay(frmGraph);
    break;
    case 2:
     if (frmHelp == null) {
      frmHelp = new FormHelp (Locale.HELP_CMD, Locale.HelpText);
      if (frmCal == null) {
       frmCal = new FormCal();
       frmCal.parent = this;
      }
      frmHelp.parent = this;
     }
     Main.instance.setDisplay(frmHelp);
    break;
    case 3:
     if (frmAbout == null) {
      frmAbout = new FormHelp (Locale.ABOUT_CMD, Locale.AboutText);
      frmAbout.parent = this;
     }
     Main.instance.setDisplay (frmAbout);
    break;
    case 4:
     Main.quitApp();
    break;
   }
  }
 }

}
